Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class SVGOMAnimatedEnumeration

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGAnimatedValue
          org.apache.batik.dom.svg.SVGOMAnimatedEnumeration

All Implemented Interfaces:
  AnimatedLiveAttributeValue, LiveAttributeValue, org.w3c.dom.svg.SVGAnimatedEnumeration

    public class SVGOMAnimatedEnumeration

extends AbstractSVGAnimatedValue
implements org.w3c.dom.svg.SVGAnimatedEnumeration

This class provides an implementation of the `SVGAnimatedEnumeration` interface.

Field Summary
`protected short` | `animVal` The current animated value.
`protected short` | `baseVal` The current base value.
`protected boolean` | `changing` Whether the value is changing.
`protected short` | `defaultValue` The default value, if the attribute is not specified.
`protected boolean` | `valid` Whether the current base value is valid.
`protected String[]` | `values` The values in this enumeration.

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGAnimatedValue
`element, hasAnimVal, listeners, localName, namespaceURI`

Constructor Summary
`SVGOMAnimatedEnumeration(AbstractElement elt, String ns, String ln, String[] val, short def)` Creates a new SVGOMAnimatedEnumeration.

Method Summary
`void` | `attrAdded(Attr node, String newv)` Called when an Attr node has been added.
`void` | `attrModified(Attr node, String oldv, String newv)` Called when an Attr node has been modified.
`void` | `attrRemoved(Attr node, String oldv)` Called when an Attr node has been removed.
`short` | `getAnimVal()` DOM: Implements `SVGAnimatedEnumeration.getAnimVal()`.
`short` | `getBaseVal()` DOM: Implements `SVGAnimatedEnumeration.getBaseVal()`.
`String` | `getBaseValAsString()` Returns the base value as a string.
`short` | `getCheckedVal()` Gets the current animated value, throwing an exception if the attribute is malformed.
`protected short` | `getEnumerationNumber(String s)` Returns the enumeration number of the specified string.
`AnimatableValue` | `getUnderlyingValue(AnimationTarget target)` Returns the base value of the attribute as an `AnimatableValue`.
`void` | `setBaseVal(short baseVal)` DOM: Implements `SVGAnimatedEnumeration.setBaseVal(short)`.
`protected void` | `update()` Updates the base value from the attribute.
`protected void` | `updateAnimatedValue(AnimatableValue val)` Updates the animated value with the given `AnimatableValue`.

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGAnimatedValue
`addAnimatedAttributeListener, fireAnimatedAttributeListeners, fireBaseAttributeListeners, getLocalName, getNamespaceURI, isSpecified, removeAnimatedAttributeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### values

    protected String[] values

  The values in this enumeration.

### defaultValue

    protected short defaultValue

  The default value, if the attribute is not specified.

### valid

    protected boolean valid

  Whether the current base value is valid.

### baseVal

    protected short baseVal

  The current base value.

### animVal

    protected short animVal

  The current animated value.

### changing

    protected boolean changing

  Whether the value is changing.

Constructor Detail

### SVGOMAnimatedEnumeration

    public SVGOMAnimatedEnumeration(AbstractElement elt,
                                    String ns,
                                    String ln,
                                    String[] val,
                                    short def)

  Creates a new SVGOMAnimatedEnumeration.

  Parameters:
    `elt` - The associated element.
    `ns` - The attribute's namespace URI.
    `ln` - The attribute's local name.
    `val` - The values in this enumeration.
    `def` - The default value to use.

Method Detail

### getBaseVal

    public short getBaseVal()

  DOM: Implements `SVGAnimatedEnumeration.getBaseVal()`.

  Specified by:
    `getBaseVal` in interface `org.w3c.dom.svg.SVGAnimatedEnumeration`

### getBaseValAsString

    public String getBaseValAsString()

  Returns the base value as a string.

### update

    protected void update()

  Updates the base value from the attribute.

### getEnumerationNumber

    protected short getEnumerationNumber(String s)

  Returns the enumeration number of the specified string.

### setBaseVal

    public void setBaseVal(short baseVal)
                    throws DOMException

  DOM: Implements `SVGAnimatedEnumeration.setBaseVal(short)`.

  Specified by:
    `setBaseVal` in interface `org.w3c.dom.svg.SVGAnimatedEnumeration`
  Throws:
    `DOMException`

### getAnimVal

    public short getAnimVal()

  DOM: Implements `SVGAnimatedEnumeration.getAnimVal()`.

  Specified by:
    `getAnimVal` in interface `org.w3c.dom.svg.SVGAnimatedEnumeration`

### getCheckedVal

    public short getCheckedVal()

  Gets the current animated value, throwing an exception if the attribute is malformed.

### getUnderlyingValue

    public AnimatableValue getUnderlyingValue(AnimationTarget target)

  Returns the base value of the attribute as an `AnimatableValue`.

  Specified by:
    `getUnderlyingValue` in interface `AnimatedLiveAttributeValue`

### attrAdded

    public void attrAdded(Attr node,
                          String newv)

  Called when an Attr node has been added.

  Specified by:
    `attrAdded` in interface `LiveAttributeValue`

### updateAnimatedValue

    protected void updateAnimatedValue(AnimatableValue val)

  Updates the animated value with the given `AnimatableValue`.

  Specified by:
    `updateAnimatedValue` in class `AbstractSVGAnimatedValue`

### attrModified

    public void attrModified(Attr node,
                             String oldv,
                             String newv)

  Called when an Attr node has been modified.

  Specified by:
    `attrModified` in interface `LiveAttributeValue`

### attrRemoved

    public void attrRemoved(Attr node,
                            String oldv)

  Called when an Attr node has been removed.

  Specified by:
    `attrRemoved` in interface `LiveAttributeValue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.